#
# spec file for package dmapi (Version 2.2.5_1)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs e2fsprogs-devel file filesystem fillup findutils flex gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libstdc++41 libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xfsprogs xfsprogs-devel zlib zlib-devel

Name:           dmapi
BuildRequires:  e2fsprogs-devel xfsprogs-devel
Version:        2.2.5_1
Release:        21
%define ver   2.2.5-1
Requires:       xfsprogs
Conflicts:      xfsdump < 2.0.0
Prefix:         %{_prefix}
AutoReqProv:    on
Group:          Development/Libraries/C and C++
License:        GPL v2 or later
Url:            http://oss.sgi.com/projects/xfs/
Summary:        Data Management API Runtime Environment
Source0:        %{name}_%{ver}.tar.bz2
Patch0:         %{name}-%{ver}-docdir.diff
Patch1:         %{name}-%{ver}-no_la_in_root.diff
Patch2:         %{name}-%{ver}-include.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains files required by system software using the Data
Management API. (DMAPI).  This is used to implement the interface
defined in the X/Open document:  Systems Management: Data Storage
Management (XDSM) API dated February 1997.  This interface is
implemented by the libdm library.



Authors:
--------
    SGI

%debug_package
%package      devel
Requires:       dmapi >= 2.0.4 
AutoReqProv:    on
Group:          Development/Libraries/C and C++
License:        GPL v2 or later
Url:            http://oss.sgi.com/projects/xfs/
Summary:        DMAPI Libraries and Header Files

%description devel
The dmapi-devel package contains the libraries and header files needed
to develop programs which make use of the Data Management API (DMAPI). 
If you install dmapi-devel, you will also want to install the dmapi
(runtime) package and the xfsprogs-devel package.



Authors:
--------
    SGI

%prep
%setup -q -n %{name}-2.2.5
%patch0
%patch1
%patch2

%build
%{suse_update_config -f}
aclocal --force
autoconf --force
CFLAGS=$RPM_OPT_FLAGS \
./configure \
--prefix=/ \
--exec-prefix=/ \
--sbindir=/sbin \
--bindir=/usr/bin \
--libdir=/%{_lib} \
--libexecdir=/usr/%{_lib} \
--includedir=/usr/include \
--mandir=/usr/share/man \
--datadir=/usr/share
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
DIST_ROOT="$RPM_BUILD_ROOT"
DIST_INSTALL=`pwd`/install.manifest
DIST_INSTALL_DEV=`pwd`/install-dev.manifest
export DIST_ROOT DIST_INSTALL DIST_INSTALL_DEV
/usr/bin/make install DIST_MANIFEST="$DIST_INSTALL"
/usr/bin/make install-dev DIST_MANIFEST="$DIST_INSTALL_DEV"
files()
{
	sort | uniq | awk '
$1 == "d" { printf ("%%%%dir %%%%attr(%s,root,root) %s\n", $2, $5); }
$1 == "f" { if (match ($6, "/usr/share/man") || match ($6, "/usr/share/doc/packages/dmapi"))
		printf ("%%%%doc ");
            if (match ($6, "/usr/share/man"))
		printf ("%%%%attr(%s,root,root) %s*\n", $2, $6);
	    else
		printf ("%%%%attr(%s,root,root) %s\n", $2, $6); }
$1 == "l" { if (match ($3, "/usr/share/man") || match ($3, "/usr/share/doc/packages/dmapi"))
		printf ("%%%%doc ");
	    if (match ($3, "/usr/share/man"))
		printf ("%attr(0777,root,root) %s*\n", $3);
	    else
		printf ("%attr(0777,root,root) %s\n", $3); }'
}
set +x
files < "$DIST_INSTALL" | egrep -v -e "^%%dir.*/lib(64)?$" > files.rpm
files < "$DIST_INSTALL_DEV" | egrep -v -e "^%%dir.*/lib(64)?$" -e "^%%dir.*/man3$" -e "^%%dir.*/include/xfs$" > filesdevel.rpm
set -x

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%postun
%run_ldconfig

%files -f files.rpm
%defattr(-,root,root,755)

%files devel -f filesdevel.rpm
%defattr(-,root,root,755)

%changelog
* Thu Jul 27 2006 - mjancar@suse.cz
- update to 2.2.5
  * Debian packaging updates (debmake out, debhelper in)
  * Fix Debian build packaging dependency.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 16 2006 - mjancar@suse.cz
- update to 2.2.3
* Sun Aug 21 2005 - ro@suse.de
- no .a/.la files in /
* Mon Feb 07 2005 - mjancar@suse.cz
- update to 2.2.1
* Fri Aug 06 2004 - mjancar@suse.cz
- update to 2.2.0
* Thu Feb 26 2004 - mjancar@suse.cz
- update to 2.1.0
* Sun Jan 11 2004 - adrian@suse.de
- build as user
* Fri Jun 20 2003 - ja@suse.cz
- Upgrade to 2.0.8.
* Mon Jun 16 2003 - ja@suse.cz
- File list fixed for dmapi-devel.
* Tue Apr 29 2003 - jderfina@suse.cz
- update to version 2.0.7
* Tue Aug 20 2002 - ro@suse.de
- fix links in devel package
  (broken for this case where PKG_DEVLIB_DIR == PKG_LIB_DIR)
* Tue Aug 20 2002 - mge@suse.de
- update to 2.0.5
* Thu May 09 2002 - tcrhak@suse.cz
- fixed to build with lib64
* Tue Feb 26 2002 - ro@suse.de
- update to 2.0.0
* Tue Aug 21 2001 - adostal@suse.cz
- split dmapi-0.1.1 from package xfsprogs
- use DESTDIR from %%install (...destdir.patch)
- create  ...dirs.patch
